Get soft bounces of a campaign
Returns a list of subscribers who soft-bounced in this campaign.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/campaigns/{id}/soft_bounces
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | Campaign ID |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/campaigns/{id}/soft_bounces");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/campaigns/{id}/soft_bounces', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/campaigns/{id}/soft_bounces"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/campaigns/{id}/soft_bounces" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": { "recipient_id": "2kprMB1", "message": null, "created_at": "2021-05-12 05:09:29" }, "links": { "first": "https://api.sender.net/v2/campaigns/bojJ7k/soft_bounces?page=1", "last": "https://api.sender.net/v2/campaigns/bojJ7k/soft_bounces?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "pagination.previous", "active": false }, { "url": "https://api.sender.net/v2/campaigns/bojJ7k/soft_bounces?page=1", "label": 1, "active": true }, { "url": null, "label": "pagination.next", "active": false } ], "path": "https://api.sender.net/v2/campaigns/bojJ7k/soft_bounces", "per_page": 10, "to": 1, "total": 1 }}